[IronPython] IronPython.sln and .NET 3.5/Visual Studio 2008

Dave Fugate dfugate at microsoft.com
Wed Nov 28 09:09:32 PST 2007


Hello IronPython Community, a couple months ago we began using the beta versions of .NET 3.5 and Visual Studio 2008 for IronPython development.  With respect to the IronPython sources this means that we had to upgrade the Visual Studio 2005 solution file, IronPython.sln, to Visual Studio 2008.  We are *not* using any new C# 3.0 features at this time and actually pass a flag to the msbuild tool ensuring that we're building and testing against .NET 2.0.

Since this change occurred, we've been backporting solution file modifications to the 2005 version and testing the 2008 version as well for the 2.0 Alpha releases.  Now that .NET 3.5 and Visual Studio 2008 have been officially released, we'd like to begin distributing only the 2008 solution file.  The major reason for wanting to do this is so that we can get IP releases out more quickly (i.e., no need to rerun all of our tests on sources built under VS2005 or manually modify the 2005 solution file).

The impact on Windows users who build IronPython from sources would be:
* It will be necessary to install .NET 3.5 or Visual Studio 2008 to get the new version of msbuild
* When building IronPython.sln from the command-line, you'll need to pass in an extra argument - "/ToolsVersion:2.0" - to msbuild

We felt it would be best get feedback from users who build IP from sources before making this change.  Ideally we'd like to make the switch for the next Alpha release (which should be available around the third week of December), but the change could be delayed if there are many objections.  All comments are welcome!

The IronPython Team


More information about the Users mailing list